---
title: "Unmute User in Room"
slug: "unmute-user-in-room"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Unmute User in Room

Post/api/v1/rooms.unmuteUser

Unmute a particular user in a room. Permission required: `mute-user`

### Changelog

| Version | Description |
| --- | --- |
| 6.8.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='e8b08df6-ec2a-448f-8216-65d20277bded'>application/json</option>
</select>object  userIdstring    Required

The user that you want to unmute. Alternatively, use the `username` parameter.

ExampleCkCPNfjfhiwWLqC
roomIdstring    Required

The room ID.

ExampleJZ8Y2dLfYhsg323Rf

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='1464e5bb-d12b-479a-be3d-6f284c7d0e10'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f04962a6-b57d-4b56-9576-95515a9d99da'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='1732ab25-2599-4be0-a80a-50bcae5cbe15'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='cd8152d6-1e80-41d7-9956-b0c494450dea'>Invalid User</option>
<option value='dda8264f-9d84-4655-9758-34606263552d'>Example 2</option>
</select>Invalid User

```json
{
  "success": false,
  "error": "The required \"userId\" or \"username\" param provided does not match any users [error-invalid-user]",
  "errorType": "error-invalid-user"
}
```

Example 2

```json
{
  "success": false,
  "error": "must have required property 'userId'\n must have required property 'username'\n must match exactly one schema in oneOf [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c8dd39ec-24ad-4962-8f07-2f4cc98f73f3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='45186bed-cdc6-4602-8eeb-67087b02d3fa'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
